﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igComboPartialView.Models;

namespace igComboPartialView.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View(this.GetPropertiesDetail());
        }

        public ActionResult About()
        {
            return View();
        }

        public IEnumerable<PropertiesDetail> GetPropertiesDetail()
        {
            yield return new PropertiesDetail() { PKLoanPropertyDetailID = "1" };
            yield return new PropertiesDetail() { PKLoanPropertyDetailID = "2" };
            yield return new PropertiesDetail() { PKLoanPropertyDetailID = "3" };
            yield return new PropertiesDetail() { PKLoanPropertyDetailID = "4" };
        }
    }
}
